<?php

namespace App\Entities;

use App\Models\MylogModel as Model;

class MylogEntity extends CommonEntity
{
    const PK = Model::PK;
    const TITLE = Model::TITLE;
    protected array $nullableFields = [
        'user_uid',
    ];
    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
    }
    //공통부분
    //Common Function
    public function getUserUid(): ?int
    {
        return $this->user_uid;
    }
}
